grk::dwt53 Class Reference

`#include <WaveletFwd.h>`

## Public Member Functions

void | encode_and_deinterleave_v (int32_t *arrayIn, int32_t *tmpIn, uint32_t height, bool even, uint32_t stride_width, uint32_t cols)
void | encode_and_deinterleave_h_one_row (int32_t *rowIn, int32_t *tmpIn, uint32_t width, bool even)
| Process one line for the horizontal pass of the 5x3 forward transform.

## Member Function Documentation

## encode_and_deinterleave_h_one_row()

void grk::dwt53::encode_and_deinterleave_h_one_row | ( | int32_t * | rowIn,
|  | int32_t * | tmpIn,
|  | uint32_t | width,
|  | bool | even
| ) |  |

Process one line for the horizontal pass of the 5x3 forward transform.

References grk::grk_read(), and GRK_RESTRICT.

## encode_and_deinterleave_v()

void grk::dwt53::encode_and_deinterleave_v | ( | int32_t * | arrayIn,
|  | int32_t * | tmpIn,
|  | uint32_t | height,
|  | bool | even,
|  | uint32_t | stride_width,
|  | uint32_t | cols
| ) |  |

References grk::deinterleave_v_cols(), GRK_Dc, grk::grk_read(), GRK_RESTRICT, GRK_Sc, and grk::NB_ELTS_V8.

The documentation for this class was generated from the following files:

- WaveletFwd.h
- WaveletFwd.cpp